FROM mcr.microsoft.com/dotnet/aspnet:5.0 AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["GatewayTracker2.csproj","./"]
RUN dotnet restore "GatewayTracker2.csproj"
COPY . .

RUN dotnet publish "GatewayTracker2.csproj" -c Release -o  /app/publish

FROM base AS final 
WORKDIR /app
COPY --from=build /app/publish .
ENTRYPOINT ["dotnet", "GatewayTracker2.dll"]

